Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150664 - SQL History: only one item inserted into document
SQL History: only one item inserted into document
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: SQL Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: John Baker
issues@db
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 21:32 UTC by Petr Pisl
Modified: 2008-12-11 22:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2008-10-19 21:32:12 UTC
In SQL History user can select more items, but only one is inserted. All selected items should be inserted.
Comment 1 John Baker 2008-10-30 20:00:25 UTC
26585b0c29b8
Comment 2 Quality Engineering 2008-10-31 04:45:52 UTC
Integrated into 'main-golden', will be available in build *200810310201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/26585b0c29b8
User: John Baker <jbaker@netbeans.org>
Log: #150664 fix
Comment 3 Roman Mostyka 2008-10-31 12:59:47 UTC
Verified with build 081031.
Comment 4 pgebauer 2008-11-10 15:08:01 UTC
Since this issue is P3 priority, in accord with rules "How to include issues into patch"
(http://wiki.netbeans.org/NetBeansPatches) it must include an explanation as to why its backport is necessary and how
safe it is.

Could you please provide such explanation?
Comment 5 Roman Mostyka 2008-11-10 17:51:47 UTC
John, could you include an explanation as to why its backport is necessary?
I think that this fix is better to have in Patch 1 because the case when user wants to insert some script isn't rare,
but it is very inconvenient to insert big script statement by statement.
And could you tell also how the fix is safe?
Comment 6 John Baker 2008-11-10 18:07:18 UTC
The fix is safe.
I think it is necessary to include this fix in the patch since, in 6.5, it's not easy to insert multiple statements,
which is common.

Comment 7 rbalada 2008-11-14 12:58:47 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/26585b0c29b8 into release65_fixes repository as
http://hg.netbeans.org/release65_fixes/rev/ca662b6e67fb
Comment 8 rbalada 2008-11-14 13:02:36 UTC
Oops correction:
I've transplanted the changeset http://hg.netbeans.org/main/rev/26585b0c29b8 into release65_fixes repository as
http://hg.netbeans.org/release65_fixes/rev/4bbe183a7dc9


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo